Package com.sun.mail.imap

## Class MessageLiteral

- java.lang.Object
- - com.sun.mail.imap.MessageLiteral

    public static class MessageLiteral
    extends Object

An object that holds a Message object and reports its size and writes it to another OutputStream on demand. Used by appendMessages to avoid the need to buffer the entire message in memory in a single byte array before sending it to the server.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`